public inbox for linux-block@vger.kernel.org
 help / color / mirror / Atom feed
* [PATCH blktests] loop/009: require --option of udevadm control command
@ 2023-11-29 11:36 Shin'ichiro Kawasaki
  2023-11-29 12:54 ` Disha Goel
                   ` (3 more replies)
  0 siblings, 4 replies; 6+ messages in thread
From: Shin'ichiro Kawasaki @ 2023-11-29 11:36 UTC (permalink / raw)
  To: linux-block; +Cc: Alyssa Ross, Shin'ichiro Kawasaki

The test case loop/009 calls udevadm control command with --ping option.
When systemd version is prior to 241, udevadm control command does not
support the option, and the test case fails. Check availability of the
option to avoid the failure.

Link: https://github.com/osandov/blktests/issues/129
Signed-off-by: Shin'ichiro Kawasaki <shinichiro.kawasaki@wdc.com>
---
 tests/loop/009 | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/tests/loop/009 b/tests/loop/009
index 2b7a042..5c14758 100755
--- a/tests/loop/009
+++ b/tests/loop/009
@@ -10,6 +10,12 @@ DESCRIPTION="check that LOOP_CONFIGURE sends uevents for partitions"
 
 QUICK=1
 
+requires() {
+	if ! udevadm control --ping > /dev/null 2>&1; then
+		SKIP_REASONS+=("udevadm control does not support --ping option")
+	fi
+}
+
 test() {
 	echo "Running ${TEST_NAME}"
 
-- 
2.43.0


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2023-11-30  4:37 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-11-29 11:36 [PATCH blktests] loop/009: require --option of udevadm control command Shin'ichiro Kawasaki
2023-11-29 12:54 ` Disha Goel
2023-11-29 13:25 ` Alyssa Ross
2023-11-29 17:59 ` Bart Van Assche
2023-11-30  2:54   ` Shinichiro Kawasaki
2023-11-30  4:37 ` Shinichiro Kawasaki

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox